Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class FormButton

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.components.FormButton

Direct Known Subclasses:
  Reset, Submit

    public abstract class FormButton

extends ClosingUIBean

FormButton.

Field Summary
`protected java.lang.String` | `action`
`protected java.lang.String` | `align`
`protected java.lang.String` | `method`
`protected java.lang.String` | `type`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, parameters, stack, throwExceptionOnELFailure`

Constructor Summary
`FormButton(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`protected void` | `populateComponentHtmlId(Form form)` Override UIBean's implementation, such that component Html id is determined in the following order :- This component id attribute [containing_form_id]_[this_component_name] [containing_form_id]_[this_component_action]_[this_component_method] [containing_form_id]_[this_component_method] [this_component_name] [this_component_action]_[this_component_method] [this_component_method] [an increasing sequential number unique to the form starting with 0]
`void` | `setAction(java.lang.String action)`
`void` | `setActionMapper(ActionMapper mapper)`
`void` | `setAlign(java.lang.String align)`
`void` | `setMethod(java.lang.String method)`
`void` | `setType(java.lang.String type)`
`protected abstract boolean` | `supportsImageType()` Indicate whether the concrete button supports the type "image".

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`getDefaultOpenTemplate, setOpenTemplate, start`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, popComponentStack, setThrowExceptionsOnELFailure, stripExpressionIfAltSyntax, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    protected java.lang.String action

### method

    protected java.lang.String method

### align

    protected java.lang.String align

### type

    protected java.lang.String type

Constructor Detail

### FormButton

    public FormButton(ValueStack stack,
                      javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### populateComponentHtmlId

    protected void populateComponentHtmlId(Form form)

  Override UIBean's implementation, such that component Html id is determined in the following order :-
  1. This component id attribute
  2. [containing_form_id]_[this_component_name]
  3. [containing_form_id]_[this_component_action]_[this_component_method]
  4. [containing_form_id]_[this_component_method]
  5. [this_component_name]
  6. [this_component_action]_[this_component_method]
  7. [this_component_method]
  8. [an increasing sequential number unique to the form starting with 0]

  Overrides:
    `populateComponentHtmlId` in class `UIBean`

### supportsImageType

    protected abstract boolean supportsImageType()

  Indicate whether the concrete button supports the type "image".

  Returns:
    `true` if type image is supported.

### setActionMapper

    public void setActionMapper(ActionMapper mapper)

  Overrides:
    `setActionMapper` in class `Component`

### setAction

    public void setAction(java.lang.String action)

### setMethod

    public void setMethod(java.lang.String method)

### setAlign

    public void setAlign(java.lang.String align)

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.